API Documentation

Job Results

POST/api/result

The POST API endpoint /result returns a presigned URL to the results folder for a given jobName.

Required Parameters:

jobName

(string)

The name of the job to get results for

Optional Parameters:

fileName

(string)

Path to a specific file in the job results. If not provided, returns all results.

jobEmail

(string)

Email of another member of your team. Optionally retrieve results for jobs from other members of your organization.

pdbsOnly

(boolean)

Return only PDB files from the job results. Only available for batch jobs.

HTTP Response Status Codes
Status codeDescription
200Successfully retrieved presigned URL to results
400Bad request
Download all results
Download specific file
Download org member results
Download PDBs only
Download batch results
Download specific file for batch

Download all results for a job as a zip file.

1import requests
2from urllib.request import urlretrieve
3
4api_key = "***************"
5headers = {'x-api-key': api_key}
6base_url = "https://app.tamarind.bio/api/"
7
8jobName = "myJobName"
9savePath = f"./{jobName}.zip"
10params = {
11    "jobName": jobName
12}
13response = requests.post(base_url + "result", headers=headers, json=params)
14print(response.text)
15if response.status_code == 200:
16    results = requests.get(response.text.replace('"', ''))
17    if results.status_code == 200:
18        with open(savePath, 'wb') as file:
19            file.write(results.content)
Response Format
https://tamarind-results.s3.amazonaws.com/user@email.com/myJobName/results.zip?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=...